Package org.apache.axiom.util.stax

## Class DummyLocation

- java.lang.Object
- - org.apache.axiom.util.stax.DummyLocation

- All Implemented Interfaces:
    `Location`

      public class DummyLocation
      extends Object
      implements Location

  Dummy `Location` implementation. It always returns -1 for the location and `null` for the publicId and systemId. It may be used by `XMLStreamReader` implementations that don't support the concept of location.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DummyLocation` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DummyLocation()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCharacterOffset()` |
    `int` | `getColumnNumber()` |
    `int` | `getLineNumber()` |
    `String` | `getPublicId()` |
    `String` | `getSystemId()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DummyLocation INSTANCE

  - ### Constructor Detail

    - #### DummyLocation

          protected DummyLocation()

  - ### Method Detail

    - #### getLineNumber

          public int getLineNumber()

      Specified by:
        `getLineNumber` in interface `Location`

    - #### getColumnNumber

          public int getColumnNumber()

      Specified by:
        `getColumnNumber` in interface `Location`

    - #### getCharacterOffset

          public int getCharacterOffset()

      Specified by:
        `getCharacterOffset` in interface `Location`

    - #### getPublicId

          public String getPublicId()

      Specified by:
        `getPublicId` in interface `Location`

    - #### getSystemId

          public String getSystemId()

      Specified by:
        `getSystemId` in interface `Location`